#
# spec file for package util-macros
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           util-macros
Version:        1.20.2
Release:        1.2
Summary:        The X Protocol
#Source URL:    http://xorg.freedesktop.org/releases/individual/util/
#BuildRequires:  autoconf >= 2.60
#BuildRequires:  automake
#BuildRequires:  libtool
License:        HPND
Group:          Development/Libraries/X11
URL:            https://xorg.freedesktop.org/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  pkgconfig

%description
Utility Macro Headers for X development

%package -n %{name}-devel
Summary:        The X Protocol
# Added within the 13.2 Development Cycle
Group:          Development/Libraries/X11
Provides:       xorg-x11-proto-devel:/%{_libdir}/pkgconfig/xorg-macros.pc

%description -n %{name}-devel
Utility Macro Headers for X development

%prep
%setup -q

%build
#autoreconf -fi
./configure CFLAGS="%{optflags} -fno-strict-aliasing" \
              --prefix=%{_prefix} --libdir=%{_libdir}
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_datadir}/util-macros/INSTALL

%files -n %{name}-devel
%license COPYING
%dir %{_datadir}/aclocal
%{_datadir}/aclocal/*.m4
%{_datadir}/pkgconfig/*.pc

%changelog
* Thu Nov 14 2024 Stefan Dirsch <sndirsch@suse.com>
- update to release 1.20.2
  * This release changes the XORG_CHECK_MALLOC_ZERO macro to stop testing if
    malloc(0) returns NULL and instead assumes it might, so that software still
    works properly if it is running with a different malloc implementation than
    the configure script found to test at build time. The configure option
  - -disable-malloc0returnsnull is still available for use with configure scripts
    that call this macro, for use by builders who are sure about the malloc(0)
    handling in all available malloc implementations in their runtime environment.
  * This release also removes -Wdeclaration-after-statement from the default
    warning set used in X.Org, treating it as a code style issue to be
    considered at code review time instead of a portability issue that
    everyone building the code needs to be made aware of, now that all
    supported compilers support this standard feature of C99 and later versions.
* Wed Apr 17 2024 Stefan Dirsch <sndirsch@suse.com>
- update to release 1.20.1
  * Remove unnecessary escape
* Mon Feb 13 2023 Stefan Dirsch <sndirsch@suse.com>
- update to release 1.20.0
  * This release fixes a deprecation warning when the macros are used with
    autoconf 2.70 or later, and adds a new XORG_DEFAULT_NOCODE_OPTIONS
    macro that can be used with packages that don't compile any code to
    skip all the compiler checks done by XORG_DEFAULT_OPTIONS.  (Packages
    will need to be updated to use this macro - that is in progress now.)
* Mon Jan 25 2021 Stefan Dirsch <sndirsch@suse.com>
- update to release 1.19.3
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * XORG_PROG_RAWCPP: Use AC_PATH_TOOL to find preprocessor
* Thu Aug  8 2019 Dominique Leuenberger <dimstar@opensuse.org>
- Own %%{_datadir}/aclocal: when we might switch to pkgconf instead
  of pkg-config, nothing in the build root is 'accidentally' owning
  this directory for us.
* Mon Mar  5 2018 sndirsch@suse.com
- update to release 1.19.2
  * Update check for manpage section numbers to not rely on Solaris version
  * Rework CHANGELOG_CMD to touch/echo >&2 only as needed
  * Rework INSTALL_CMD to touch/echo >&2 only as needed
* Wed Feb  1 2017 sndirsch@suse.com
- update to release 1.19.1
  * XORG_MANPAGE_SECTIONS: limit SysV man page sections to Solaris 2.0-11
  * Fix XORG_WITH_XMLTO to work with xmlto >= 0.0.27
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Tue Apr 29 2014 sndirsch@suse.com
- added COPYING to %%doc
* Tue Apr 29 2014 cfarrell@suse.com
- license update: HPND
  See COPYING
* Wed Apr 23 2014 tobias.johannes.klausmann@mni.thm.de
- Created package util-macros with initial version 1.19.0
